QGIS Application - Bug report #6815
Forms with input fields and multiple controls shouldn't bind enter key to OK button
2012-12-04 02:30 AM - marisn -

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 15960
Description

Currently most of QGIS forms have binded enter key event to OK button. It might cause unwanted side effect if form has an input field and
OK button is not the only possible action to take.
Examples:

- Create new Shapefile has "attribute name" input field. If user presses enter key after typing in attribute name, whole dialog gets closed
instead of just adding a new attribute and the specified attribute is NOT created;

- Project properties -> CRS has a filter dialog. Pressing enter closes dialog instead of just searching.

History

#1 - 2014-06-21 04:00 AM - Jiirgen Fischer
- Category set to Forms

#2 - 2014-07-23 12:30 AM - Matthias Kuhn
- Category changed from Forms to GUI

#3 - 2017-05-01 01:09 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#4 - 2019-03-09 04:04 PM - Giovanni Manghi
- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR
Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/
